New Kindle (8th generation) not recognized - low-end model SY69JL

Bug #1599970 reported by Frank Taylor on 2016-07-07
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

Latest version of Calibre 64-bit installed today. Windows 8.1-64-bit (up to date).

Just today received the new 8th generation $79 version of Kindle (which started shipping yesterday).

Calibre doesn't recognize the new device (no "Device" icon appears and you can't send-to a book to it).

The Kindle was recognized by Windows and opens a file explorer windows showing contents, and the Kindle shows the standard (USB Drive Mode) upon connecting via USB cable supplied with the device.

I followed the instructions on the FAQ Device not detected. Below is the Debug device not detected output:

calibre 2.61 [64bit] embedded-python: True is64bit: True
Windows-8-6.2.9200 Windows ('64bit', 'WindowsPE')
('Windows', '8', '6.2.9200')
Python 2.7.9
Windows: ('8', '6.2.9200', '', 'Multiprocessor Free')
USB devices on system:
(USBDevice(vendor_id=0x8087 product_id=0x8002 bcd=0x5 devid=usb\vid_8087&pid_8002&rev_0005 devinst=3),
 USBDevice(vendor_id=0x424 product_id=0x274d bcd=0x200 devid=usb\vid_0424&pid_274d&rev_0200&mi_00 devinst=4),
 USBDevice(vendor_id=0x1532 product_id=0x43 bcd=0x200 devid=usb\vid_1532&pid_0043&rev_0200&mi_02 devinst=5),
 USBDevice(vendor_id=0x46d product_id=0x82c bcd=0x11 devid=usb\vid_046d&pid_082c&rev_0011 devinst=6),
 USBDevice(vendor_id=0x40e product_id=0x100 bcd=0x0 devid=usb\asmediausbd_hub&vid_040e&pid_0100&rev_0000 devinst=7),
 USBDevice(vendor_id=0x174c product_id=0x3074 bcd=0x1 devid=usb\vid_174c&pid_3074&rev_0001 devinst=8),
 USBDevice(vendor_id=0x8087 product_id=0x800a bcd=0x5 devid=usb\vid_8087&pid_800a&rev_0005 devinst=9),
 USBDevice(vendor_id=None product_id=None bcd=None devid=usb\root_hub30&vid8086&pid8d31&rev0005 devinst=10),
 USBDevice(vendor_id=0x2109 product_id=0x8110 bcd=0x9094 devid=usb\vid_2109&pid_8110&rev_9094 devinst=11),
 USBDevice(vendor_id=0xbda product_id=0x8178 bcd=0x200 devid=usb\vid_0bda&pid_8178&rev_0200 devinst=12),
 USBDevice(vendor_id=0x46d product_id=0x82c bcd=0x11 devid=usb\vid_046d&pid_082c&rev_0011&mi_00 devinst=13),
 USBDevice(vendor_id=0xb05 product_id=0x17cf bcd=0x112 devid=usb\vid_0b05&pid_17cf&rev_0112 devinst=14),
 USBDevice(vendor_id=0x1949 product_id=0x4 bcd=0x310 devid=usb\vid_1949&pid_0004&rev_0310 devinst=15),
 USBDevice(vendor_id=0x2109 product_id=0x2811 bcd=0x9090 devid=usb\vid_2109&pid_2811&rev_9090 devinst=16),
 USBDevice(vendor_id=0x1532 product_id=0x203 bcd=0x200 devid=usb\vid_1532&pid_0203&rev_0200 devinst=17),
 USBDevice(vendor_id=0x68e product_id=0xf2 bcd=0x0 devid=usb\vid_068e&pid_00f2&rev_0000 devinst=18),
 USBDevice(vendor_id=0x1532 product_id=0x203 bcd=0x200 devid=usb\vid_1532&pid_0203&rev_0200&mi_02 devinst=19),
 USBDevice(vendor_id=0x1532 product_id=0x203 bcd=0x200 devid=usb\vid_1532&pid_0203&rev_0200&mi_01 devinst=20),
 USBDevice(vendor_id=0x1532 product_id=0x203 bcd=0x200 devid=usb\vid_1532&pid_0203&rev_0200&mi_00 devinst=21),
 USBDevice(vendor_id=0x1532 product_id=0x43 bcd=0x200 devid=usb\vid_1532&pid_0043&rev_0200&mi_00 devinst=22),
 USBDevice(vendor_id=0x2833 product_id=0x201 bcd=0x2 devid=usb\vid_2833&pid_0201&rev_0002 devinst=23),
 USBDevice(vendor_id=0xbb4 product_id=0x2744 bcd=0x202 devid=usb\asmediausbd_hub&vid_0bb4&pid_2744&rev_0202 devinst=24),
 USBDevice(vendor_id=0x46d product_id=0x82c bcd=0x11 devid=usb\vid_046d&pid_082c&rev_0011&mi_02 devinst=25),
 USBDevice(vendor_id=0x2833 product_id=0x201 bcd=0x2 devid=usb\vid_2833&pid_0201&rev_0002&mi_00 devinst=26),
 USBDevice(vendor_id=0x1532 product_id=0x43 bcd=0x200 devid=usb\vid_1532&pid_0043&rev_0200 devinst=27),
 USBDevice(vendor_id=0x1532 product_id=0x43 bcd=0x200 devid=usb\vid_1532&pid_0043&rev_0200&mi_01 devinst=28),
 USBDevice(vendor_id=None product_id=None bcd=None devid=usb\root_hub20&vid8086&pid8d26&rev0005 devinst=29),
 USBDevice(vendor_id=None product_id=None bcd=None devid=usb\root_hub20&vid8086&pid8d2d&rev0005 devinst=30),
 USBDevice(vendor_id=0x174c product_id=0x2074 bcd=0x1 devid=usb\vid_174c&pid_2074&rev_0001 devinst=31),
 USBDevice(vendor_id=0xbb4 product_id=0x306 bcd=0x112 devid=usb\vid_0bb4&pid_0306&rev_0112 devinst=32),
 USBDevice(vendor_id=0x424 product_id=0x274d bcd=0x200 devid=usb\vid_0424&pid_274d&rev_0200 devinst=33))

No disabled plugins
Looking for devices of type: MTP_DEVICE
List of WPD PNP ids:
[u'\\\\?\\swd#wpdbusenum#_??_usbstor#disk&ven_kindle&prod_internal_storage&rev_0310#6&3b77c942&0#{53f56307-b6bf-11d0-94f2-00a0c91efb8b}#{6ac27878-a6fa-4155-ba85-f98f491d4f33}']
No suitable MTP devices found

Looking for devices of type: SMART_DEVICE_APP
All IP addresses {'{22044854-CE79-49B2-8527-A161724BA9CF}': [{'addr': '169.254.145.45'}], '{110DED32-04FB-404A-A58C-1185BA4FD964}': [{'broadcast': '198.18.47.255', 'addr': '198.18.40.180', 'netmask': '255.255.248.0'}], '{48D0C3C4-37A9-4DC2-BC23-BDF342CF5BC6}': [{'addr': '169.254.159.117'}], '{C78FBC36-CD6B-41FB-A142-C578E54EEB93}': [{'broadcast': '192.168.0.255', 'addr': '192.168.0.8', 'netmask': '255.255.255.0'}], '{F1FB2CAA-D447-4ABE-9FED-75590B3ECFEB}': [{'broadcast': '192.168.31.255', 'addr': '192.168.31.1', 'netmask': '255.255.255.0'}], '{0FEBD766-E4B4-4EF2-AE70-EC1386169AC5}': [{'addr': '169.254.162.161'}], '{1DE43F28-F8CC-4AB1-A3E4-23D9CBD58432}': [{'broadcast': '192.168.184.255', 'addr': '192.168.184.1', 'netmask': '255.255.255.0'}], '{19303B79-D3E2-4362-AC24-43518AB408A4}': [{'addr': '169.254.112.219'}], '{BBED3E08-0B41-11E3-8249-806E6F6E6963}': [{'broadcast': '127.255.255.255', 'addr': '127.0.0.1', 'netmask': '255.0.0.0'}], '{21225C55-FF11-426D-9804-D1978C709802}': [{'addr': '169.254.179.193'}]}
No device is connected

Looking for devices...

Devices possibly connected: None

Fixed in branch master. The fix will be in the next release. calibre is usually released every Friday.

 status fixreleased

Changed in calibre:
status: New → Fix Released
Download full text (6.5 KiB)

Good news, I'll check it out.

On Thu, Jul 7, 2016 at 11:32 PM, Kovid Goyal <email address hidden>
wrote:

> Fixed in branch master. The fix will be in the next release. calibre is
> usually released every Friday.
>
> status fixreleased
>
> ** Changed in: calibre
> Status: New => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1599970
>
> Title:
> New Kindle (8th generation) not recognized - low-end model SY69JL
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Latest version of Calibre 64-bit installed today. Windows 8.1-64-bit
> (up to date).
>
> Just today received the new 8th generation $79 version of Kindle
> (which started shipping yesterday).
>
> Calibre doesn't recognize the new device (no "Device" icon appears and
> you can't send-to a book to it).
>
> The Kindle was recognized by Windows and opens a file explorer windows
> showing contents, and the Kindle shows the standard (USB Drive Mode)
> upon connecting via USB cable supplied with the device.
>
> I followed the instructions on the FAQ Device not detected. Below is
> the Debug device not detected output:
>
> calibre 2.61 [64bit] embedded-python: True is64bit: True
> Windows-8-6.2.9200 Windows ('64bit', 'WindowsPE')
> ('Windows', '8', '6.2.9200')
> Python 2.7.9
> Windows: ('8', '6.2.9200', '', 'Multiprocessor Free')
> USB devices on system:
> (USBDevice(vendor_id=0x8087 product_id=0x8002 bcd=0x5
> devid=usb\vid_8087&pid_8002&rev_0005 devinst=3),
> USBDevice(vendor_id=0x424 product_id=0x274d bcd=0x200
> devid=usb\vid_0424&pid_274d&rev_0200&mi_00 devinst=4),
> USBDevice(vendor_id=0x1532 product_id=0x43 bcd=0x200
> devid=usb\vid_1532&pid_0043&rev_0200&mi_02 devinst=5),
> USBDevice(vendor_id=0x46d product_id=0x82c bcd=0x11
> devid=usb\vid_046d&pid_082c&rev_0011 devinst=6),
> USBDevice(vendor_id=0x40e product_id=0x100 bcd=0x0
> devid=usb\asmediausbd_hub&vid_040e&pid_0100&rev_0000 devinst=7),
> USBDevice(vendor_id=0x174c product_id=0x3074 bcd=0x1
> devid=usb\vid_174c&pid_3074&rev_0001 devinst=8),
> USBDevice(vendor_id=0x8087 product_id=0x800a bcd=0x5
> devid=usb\vid_8087&pid_800a&rev_0005 devinst=9),
> USBDevice(vendor_id=None product_id=None bcd=None
> devid=usb\root_hub30&vid8086&pid8d31&rev0005 devinst=10),
> USBDevice(vendor_id=0x2109 product_id=0x8110 bcd=0x9094
> devid=usb\vid_2109&pid_8110&rev_9094 devinst=11),
> USBDevice(vendor_id=0xbda product_id=0x8178 bcd=0x200
> devid=usb\vid_0bda&pid_8178&rev_0200 devinst=12),
> USBDevice(vendor_id=0x46d product_id=0x82c bcd=0x11
> devid=usb\vid_046d&pid_082c&rev_0011&mi_00 devinst=13),
> USBDevice(vendor_id=0xb05 product_id=0x17cf bcd=0x112
> devid=usb\vid_0b05&pid_17cf&rev_0112 devinst=14),
> USBDevice(vendor_id=0x1949 product_id=0x4 bcd=0x310
> devid=usb\vid_1949&pid_0004&rev_0310 devinst=15),
> USBDevice(vendor_id=0x2109 product_id=0x2811 bcd=0x9090
> devid=usb\vid_2109&pid_2811&rev_9090 devinst=16),
> USBDevice(vendor_id=0x1532 product_id=0x203 bcd=0x200
> devid=usb\vid_1532&pid_0203&rev_0200 devinst=17),
> USBDevice(vendor_id=0x68e p...

Read more...

Frank Taylor (fran7) wrote :
Download full text (6.7 KiB)

Everything checked out fine. Good job!

On Fri, Jul 8, 2016 at 6:07 AM, Frank Taylor <email address hidden> wrote:

> Good news, I'll check it out.
>
> On Thu, Jul 7, 2016 at 11:32 PM, Kovid Goyal <email address hidden>
> wrote:
>
>> Fixed in branch master. The fix will be in the next release. calibre is
>> usually released every Friday.
>>
>> status fixreleased
>>
>> ** Changed in: calibre
>> Status: New => Fix Released
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1599970
>>
>> Title:
>> New Kindle (8th generation) not recognized - low-end model SY69JL
>>
>> Status in calibre:
>> Fix Released
>>
>> Bug description:
>> Latest version of Calibre 64-bit installed today. Windows 8.1-64-bit
>> (up to date).
>>
>> Just today received the new 8th generation $79 version of Kindle
>> (which started shipping yesterday).
>>
>> Calibre doesn't recognize the new device (no "Device" icon appears and
>> you can't send-to a book to it).
>>
>> The Kindle was recognized by Windows and opens a file explorer windows
>> showing contents, and the Kindle shows the standard (USB Drive Mode)
>> upon connecting via USB cable supplied with the device.
>>
>> I followed the instructions on the FAQ Device not detected. Below is
>> the Debug device not detected output:
>>
>> calibre 2.61 [64bit] embedded-python: True is64bit: True
>> Windows-8-6.2.9200 Windows ('64bit', 'WindowsPE')
>> ('Windows', '8', '6.2.9200')
>> Python 2.7.9
>> Windows: ('8', '6.2.9200', '', 'Multiprocessor Free')
>> USB devices on system:
>> (USBDevice(vendor_id=0x8087 product_id=0x8002 bcd=0x5
>> devid=usb\vid_8087&pid_8002&rev_0005 devinst=3),
>> USBDevice(vendor_id=0x424 product_id=0x274d bcd=0x200
>> devid=usb\vid_0424&pid_274d&rev_0200&mi_00 devinst=4),
>> USBDevice(vendor_id=0x1532 product_id=0x43 bcd=0x200
>> devid=usb\vid_1532&pid_0043&rev_0200&mi_02 devinst=5),
>> USBDevice(vendor_id=0x46d product_id=0x82c bcd=0x11
>> devid=usb\vid_046d&pid_082c&rev_0011 devinst=6),
>> USBDevice(vendor_id=0x40e product_id=0x100 bcd=0x0
>> devid=usb\asmediausbd_hub&vid_040e&pid_0100&rev_0000 devinst=7),
>> USBDevice(vendor_id=0x174c product_id=0x3074 bcd=0x1
>> devid=usb\vid_174c&pid_3074&rev_0001 devinst=8),
>> USBDevice(vendor_id=0x8087 product_id=0x800a bcd=0x5
>> devid=usb\vid_8087&pid_800a&rev_0005 devinst=9),
>> USBDevice(vendor_id=None product_id=None bcd=None
>> devid=usb\root_hub30&vid8086&pid8d31&rev0005 devinst=10),
>> USBDevice(vendor_id=0x2109 product_id=0x8110 bcd=0x9094
>> devid=usb\vid_2109&pid_8110&rev_9094 devinst=11),
>> USBDevice(vendor_id=0xbda product_id=0x8178 bcd=0x200
>> devid=usb\vid_0bda&pid_8178&rev_0200 devinst=12),
>> USBDevice(vendor_id=0x46d product_id=0x82c bcd=0x11
>> devid=usb\vid_046d&pid_082c&rev_0011&mi_00 devinst=13),
>> USBDevice(vendor_id=0xb05 product_id=0x17cf bcd=0x112
>> devid=usb\vid_0b05&pid_17cf&rev_0112 devinst=14),
>> USBDevice(vendor_id=0x1949 product_id=0x4 bcd=0x310
>> devid=usb\vid_1949&pid_0004&rev_0310 devinst=15),
>> USBDevice(vendor_id=0x2109 product_id=0x2811 bcd=0x9090
>>...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers